Page MenuHomeFreeBSD

bridge tests: Test STP config BPDU validation
ClosedPublic

Authored by kp on Apr 15 2021, 5:35 PM.

Diff Detail

Repository
rG FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

kp requested review of this revision.Apr 15 2021, 5:35 PM
donner added a subscriber: donner.

May you please add tests for the edge cases where the number is exactly the limit?
Thanks.

This revision is now accepted and ready to land.Apr 15 2021, 8:10 PM
  • Use just barely invalid values
  • Ignore valid STP packets (which if_bridge might send during the test)
This revision now requires review to proceed.Apr 17 2021, 2:45 PM
This revision is now accepted and ready to land.Apr 18 2021, 9:43 AM
This revision was landed with ongoing or failed builds.Apr 19 2021, 12:11 PM
This revision was automatically updated to reflect the committed changes.